Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.persistence
Class XmlMap

    java.lang.Object
      java.util.AbstractMap
          com.thoughtworks.xstream.persistence.XmlMap

All Implemented Interfaces:
  Map

    public class XmlMap

extends AbstractMap

A persistent map. Its values are actually serialized as xml files. If you need an application-wide synchronized version of this map, try the respective Collections methods.

Author:
  Guilherme Silveira

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`Map.Entry<K,V>`

Constructor Summary
`XmlMap(PersistenceStrategy streamStrategy)`

Method Summary
`Set` | `entrySet()`
`Object` | `get(Object key)`
`Object` | `put(Object key, Object value)`
`Object` | `remove(Object key)`
`int` | `size()`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, equals, hashCode, isEmpty, keySet, putAll, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlMap

    public XmlMap(PersistenceStrategy streamStrategy)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Map`
  Overrides:
    `size` in class `AbstractMap`

### get

    public Object get(Object key)

  Specified by:
    `get` in interface `Map`
  Overrides:
    `get` in class `AbstractMap`

### put

    public Object put(Object key,
                      Object value)

  Specified by:
    `put` in interface `Map`
  Overrides:
    `put` in class `AbstractMap`

### remove

    public Object remove(Object key)

  Specified by:
    `remove` in interface `Map`
  Overrides:
    `remove` in class `AbstractMap`

### entrySet

    public Set entrySet()

  Specified by:
    `entrySet` in interface `Map`
  Specified by:
    `entrySet` in class `AbstractMap`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.